all: client server

server : UDPoverTCPtunelServer.c UDPoverTCPtunel.o UDPoverTCPtunelServer.h UDPoverTCPtunel.h
	gcc -lpthread UDPoverTCPtunelServer.c UDPoverTCPtunel.o -o UDPoverTCPtunelServer 

client : UDPoverTCPtunelClient.c UDPoverTCPtunel.o UDPoverTCPtunelClient.h UDPoverTCPtunel.h
	gcc -lpthread UDPoverTCPtunelClient.c UDPoverTCPtunel.o -o UDPoverTCPtunelClient

UDPoverTCPtunel.o : UDPoverTCPtunel.c UDPoverTCPtunel.h
	gcc -c -lpthread UDPoverTCPtunel.c -o UDPoverTCPtunel.o

clean :
	rm UDPoverTCPtunelServer UDPoverTCPtunelClient UDPoverTCPtunel.o